/*===== GOOGLE FONTS =====*/
@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@400;500;600&display=swap");

/*===== VARIABLES CSS =====*/
:root {
  --header-height: 3rem;

  /*========== Colors ==========*/
  --first-color: #069C54;
  --first-color-alt: #048654;
  --title-color: #393939;
  --text-color: #707070;
  --text-color-light: #A6A6A6;
  --body-color: #FBFEFD;
  --container-color: #FFFFFF;

  /*========== Font and typography ==========*/
  --body-font: 'Poppins', sans-serif;
  --biggest-font-size: 2.25rem;
  --h1-font-size: 1.5rem;
  --h2-font-size: 1.25rem;
  --h3-font-size: 1rem;
  --normal-font-size: .938rem;
  --small-font-size: .813rem;
  --smaller-font-size: .75rem;

  /*========== Font weight ==========*/
  --font-medium: 500;
  --font-semi-bold: 600;

  /*========== Margenes ==========*/
  --mb-1: .5rem;
  --mb-2: 1rem;
  --mb-3: 1.5rem;
  --mb-4: 2rem;
  --mb-5: 2.5rem;
  --mb-6: 3rem;

  /*========== z index ==========*/
  --z-tooltip: 10;
  --z-fixed: 100;
}

@media screen and (min-width: 768px){
  :root{
    --biggest-font-size: 4rem;
    --h1-font-size: 2.25rem;
    --h2-font-size: 1.5rem;
    --h3-font-size: 1.25rem;
    --normal-font-size: 1rem;
    --small-font-size: .875rem;
    --smaller-font-size: .813rem; 
  }
}
/* basics and elements */
*,::before,::after{
    box-sizing:border-box;
}
html{
    scroll-behavior: smooth;
}
body{
    margin:var(--header-height) 0 0 0;
    font-family:var(--body-font);
    background-color: var(--container-color);
}
h1,h2,h3,p,ul{
  margin:0;
}
ul{
  padding:0;
  list-style: none;
}
a{
  text-decoration: none;
}
img{
  max-width: 100%;
  height: auto;
}


/* class section */
.section{
  padding:4rem 0 2rem;
}
.section-title, .section-subtitle{
  text-align:center;
}
.section-title{
  font-size:var(--h1-font-size);
  color:var(--title-color);
  margin-bottom: var(--mb-3);
}

.section-subtitle{
  display: block;
  color:var(--first-color);
  font-weight: var(--font-medium);
  margin-bottom: var(--mb-5);
}
/* layout */

.bd-container{
  max-width: 960px;
  width:calc(100% -2rem);
  margin-left:var(--mb-2);
  margin-right: var(--mb-2);
}

.bg-grid{
  display: grid;
  gap:1.5rem;
}
.l-header{
  width:100%;
  position:fixed;
  top:0;
  left:0;
  z-index: var(--x-fixed);
  background-color: var(--body-color);
}
/* nav */
.nav{
  max-width: 1024px;
  height: var(--header-height);
  display: flex;
  justify-content: space-between;
  align-items: center;
}

@media screen and (max-width: 768px){
  .nav__menu{
    position: fixed;
    top: -100%;
    left:0;
    width:100%;
    padding: 1.5rem 0 1rem;
    text-align: center;
    background-color: var(--body-color);
    transition: 0..4s;
    box-shadow:0 4px 4px rgba(0,0,0,0.1);
    border-radius: 0 0 1rem 1rem;
    z-index: var(--z-fixed);

  }
}
.nav__item{
  margin-bottom: var(--mb-2);
}

.nav__link, .nav__logo, .nav__toggle{
  color:var(--text-color);
  font-weight: var(--font-medium);
}
.nav__logo:hover{
  color:var(--first-color);
}
.nav__link{
  transition: .3s;
}
.nav__link:hover{
  color:var(--first-color);
}
.change-theme{
  position:initial;
  margin-left:var(--mb-2);
}

.nav__toggle{
  font-size: 1.3rem;
  cursor:pointer; 
}
.show-menu{
  top: var(--header-height);
}
.action-link{
  color: var(--first-color);
}
.scroll-header{
  box-shadow: 0 2px 4px rgba(0,0,0,0.1)
}
.scrolltop{
  position: fixed;
  right: 1rem;
  bottom: 1rem;
  display: flex;
  justify-content: center;
  align-items: center;
  padding: .3rem;
  background: rgba(6, 156,84,.5);
  border-radius: .4rem;
  z-index: var(--z-tooltip);
  transition:  .4s;
  /* visibility: hidden */
}
.scrolltop:hover{
  background-color: var(--first-color-alt);
}
.scroll__icon{
  font-size: 1.8rem;
  color:var(--body-color);
}
/* variable dark theme */
body.dark-theme{
  --title-color:#f1f3f2;
  --text-color:#c7d1cc;
  --body-color:#1d2521;
  --container-color:#27302c;
}
/* button dark/light */
.change-theme{
  position:absolute;
  right: 1rem;
  top:1.8rem;
  color:var(--text-color);
  font-size:1rem;
  cursor:pointer;
}

/* show scrolltop */
.scroll-top{
  visibility: visible;
  bottom: 1.5rem;
}

/* home */
.home__container{
  height:calc(100vh - var(--header-height));
  align-content: center;
}
.home__title{
  font-size:var(--biggest-font-size);
  color:var(--first-color);
  margin-bottom: var(--mb-1);
}
.home__subtitle{
  font-size:var(--h1-font-size);
  color:var(--title-color);
  margin-bottom: var(--mb-4);
}
.home__img{
  width:300px;
  justify-self:center;
}
/* buttons */
.buttons{
  display: inline-block;
  background-color: var(--first-color);
  color:#fff;
  padding:.75rem 1rem;
  border-radius: .5rem;
  transition: .3s;
}
.button:hover{
  background-color: var(--first-color-alt);
}

/* about */
.about__data{
  text-align: center;
}
.about__description{
  margin-bottom: var(--mb-3);
}
.about__img{
  width:280px;
  border-radius: .5rem;
  justify-self: center;
}
/* services */
.services__container{
  row-gap: 2.5rem;
  grid-template-columns: repeat(auto-fit, minmax(220px, 1fr));
}
.services__content{
  text-align: center;
}
.services__img{
  width:64px;
  height: 64px;
  /* to change svg color */
  fill: var(--first-color);
  margin-bottom: var(--mb-2);
}
.services__title{
  font-size: var(--h3-font-size);
  color:var(--title-color);
  margin-bottom: var(--mb-1);
}
.services__description{
  padding: 0 1.5rem;
}
.service__content div{
  text-align: center;
}
.service__content svg{
  width:64px;
  height: 64px;
  fill: var(--first-color);
}
/* menu */
.menu__container{
  grid-template-columns: repeat(2,1fr);
  justify-content: center;
}
.menu__content{
  position:relative;
  display: flex;
  flex-direction: column;
  background-color: var(--container-color);
  border-radius: .5rem;
  box-shadow: 0 2px 4px rgba(3,74,40,0.15);
  padding:.75rem;
}
.menu__img{
  width:100px;
  align-self: center;
  margin-bottom:var(--mb-2); 
}
.menu__name, .menu__preci{
  font-weight: var(--font-semi-bold);
  color:var(--title-color);
}
.menu__name{
  font-size:var(--normal-font-size);
}
.menu__detail, .menu__preci{
  font-size: var(--small-font-size);
}
.menu__detail{
  margin-bottom: var(--mb-1);
}
.menu__button{
  position:absolute;
  bottom: 0;
  right: 0;
  display: flex;
  padding: .625rem .813rem;
  border-radius: .5rem 0 .5rem 0;
}
/* app */
.app__data{
  text-align: center;
}
.app__description{
  margin-bottom: var(--mb-5);
}
.app__store{
  margin-bottom: var(--mb-4);
}
.app__store{
  width:120px;
  margin: 0 var(--mb-1);
}
.app__img{
  width:230px;
  justify-self: center;
}
/* contact */
.contact__container{
  text-align: center;
}
.contact__descriotion{
  margin-bottom: var(--mb-3);
}
/* footer */
.footer__container{
  grid-template-columns: repeat(auto-fit, minmax(220px,1fr));
  row-gap:2rem;
}

.footer__logo{
  font-size: var(--h3-font-size);
  color:var(--first-color);
  font-weight: var(--font-semi-bold);
}
.footer__description{
  display: block;
  font-size: var(--small-font-size);
  margin: .25rem 0 var(--mb-3);
}
.footer__social{
  fon-size:1.5rem;
  color:var(--title-color);
  margin-left: var(--mb-2);
}
.footer__title{
  font-size: var(--h2-font-size);
  color:var(--title-color);
  margin-bottom: var(--mb-2);
}
.footer__link{
  display: inline-block;
  color:var(--text-color);
  margin-bottom: var(--mb-1);
}
.footer__link:hover{
  color:var(--first-color);
}
.footer__copy{
  text-align: center;
  font-size:var(--small-font-size);
  color:var(--text-color-light);
  margin-top: 3.5rem;
}

/* medai queries */
@media screen and (min-width: 576px) {
  .home__container,
   .about__container
   .app__container{
    grid-template-columns: repeat(2,1fr);
    align-items: center;
  }
  .about__data,
   .about__intial,
   .app__data,
   .app__initial,
   .contact__container,
   .contact__initial{
    text-align:initial;
  }
  .about__img, .app__img{
    width:380px;
    order:-1;
  }
  .contact__container{
    grid-template-columns: 1.75fr 1fr;
    align-items: center;
  }
  .contact__button{
    justify-self: center;
  }
}
@media screen and (min-width: 765px) {
  body{
    margin: 0;
  }
  .section{
    padding-top: 8rem;
  }
  .nav{
    height: calc(var(--header-height) + 1.5rem);
  }
  .nav__list{
    display: flex;
  }
  .nav__item{
    margin-left:var(--mb-5);
    margin-bottom: 0;
  }
  .nav__toggle{
    display: none;
  }
  .home__container{
    height:100vh;
    justify-items:center;
  }
  .services__container,
  .menu__container{
    margin-top:var(--mb-6);
  }
  .menu__container{
    grid-template-columns: repeat(3,210px);
    column-gap: 4rem;
  }
  .menu__content{
    padding:1.5rem;
  }
  .menu__img{
    width: 130px;
  }
  .app__store{
    margin: 0 var(--mb-1) 0 0;
  }
}

@media screen and (min-width: 960px) {
  .bd-container{
    margin-left:auto;
    margin-right: auto;
  }
  .home__img{
    width:500px;
  }
  .about__container, 
  .app__container{
    column-gap: 7rem;
  }

}

/* correction */
.home__container{
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap:105px;
}
.service__content{
  max-width: 300px;
}
.service__container{
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
}
.menu__content{
  width:250px;
  box-shadow: rgba(0, 0, 0, 0.24) 0px 3px 8px;
  margin-bottom: 15px;
}
.menu__container{
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
}
